NET_CompareAddresses(3)

NAME
NET_CompareAddresses - Compare two NET_Address objects.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

int NET_CompareAddresses(const NET_Address *a, const NET_Address *b);

DESCRIPTION
This compares two addresses, returning a value that is useful for qsort (or SDL_qsort).

FUNCTION PARAMETERS

a   first address to compare.

b   second address to compare.

RETURN VALUE
Returns a value less than zero if a is "less than" b, a value greater than zero if "greater than", zero if equal.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.